DynamicJava Javadoc: Class ParseError

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.parser.wrapper
Class ParseError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--koala.dynamicjava.parser.wrapper.ParseError

All Implemented Interfaces:
  java.io.Serializable

public class ParseError
extends java.lang.Error

This error is thrown when an unexpected error append while parsing a statement

See Also:
  Serialized Form

Constructor Summary
`ParseError()` Constructs an `ExecutionError` with no detail message.
`ParseError(java.lang.String s)` Constructs an `ExecutionError` with the specified detail message.
`ParseError(java.lang.String s, java.lang.String fn, int l, int c)` Constructs an `ExecutionError` with the specified detail message, filename, line and column.

Method Summary
`int` | `getColumn()` Returns the column in the source code where the error occured
`java.lang.String` | `getFilename()` Returns the name of the source file
`int` | `getLine()` Returns the line in the source code where the error occured

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParseError

    public ParseError()

  Constructs an `ExecutionError` with no detail message.

### ParseError

    public ParseError(java.lang.String s)

  Constructs an `ExecutionError` with the specified detail message.
  Parameters:
    `s` - the detail message.

### ParseError

    public ParseError(java.lang.String s,
                      java.lang.String fn,
                      int l,
                      int c)

  Constructs an `ExecutionError` with the specified detail message, filename, line and column.
  Parameters:
    `s` - the detail message.
    `fn` - the file name.
    `l` - the line in the source code.
    `c` - the column in the source code.

Method Detail

### getFilename

    public java.lang.String getFilename()

  Returns the name of the source file

### getLine

    public int getLine()

  Returns the line in the source code where the error occured

### getColumn

    public int getColumn()

  Returns the column in the source code where the error occured

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.